Get season stats for a team
curl --request GET \
--url 'https://therundown.io/api/v2/teams/{teamID}/stats?key='import requests
url = "https://therundown.io/api/v2/teams/{teamID}/stats?key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://therundown.io/api/v2/teams/{teamID}/stats?key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"team_id": 11,
"stat_id": 1242,
"stat": {
"id": 1242,
"name": "avgRebounds",
"category": "general",
"display_name": "Rebounds Per Game",
"abbreviation": "REB",
"description": "The average rebounds per game.",
"sport_id": 4
},
"season_year": 2026,
"season_type": 2,
"season_type_name": "Regular Season",
"value": 42.25,
"display_value": "42.3",
"updated_at": "2025-05-10T16:51:57Z"
},
{
"team_id": 11,
"stat_id": 1243,
"stat": {
"id": 1243,
"name": "assistTurnoverRatio",
"category": "general",
"display_name": "Assist To Turnover Ratio",
"abbreviation": "AST/TO",
"description": "The average number of assists per turnover",
"sport_id": 4
},
"season_year": 2026,
"season_type": 2,
"season_type_name": "Regular Season",
"value": 2.26,
"display_value": "2.3",
"rank": 1,
"rank_display_value": "1st",
"updated_at": "2025-05-10T16:51:57Z"
}
]V2 Teams
Get season stats for a team
GET
/
api
/
v2
/
teams
/
{teamID}
/
stats
Get season stats for a team
Authorizations
ApiKeyQueryApiKeyHeader
API key as query parameter
Path Parameters
Query Parameters
Comma-separated stat IDs (max 12)
Season year (defaults to current year)
Season type ID (default 2 = regular season)
Response
200 - application/json
Team season stats
⌘I